Subject: bug#41465: 28.0.50 (but also earlier versions); etags asserion error (with too many files?)

From: Dmitry Gutov <[email-masked]>
Date: Sun, 24 May 2020 04:43:25 +0300

On 24.05.2020 02:07, Gregor Zattler wrote:
> This also happens with the binary from debian buster 10.4 ,
> therefore I don't think it is caused by my specific build
> options, which anyway are:
> 
> CFLAGS='-g -O2 -fdebug-prefix-map=/home/grfz/src/emacs=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-pie'
> 
> LDFLAGS='-Wl,-z,relro -no-pie'
> 
> CPPFLAGS='-Wdate-time -D_FORTIFY_SOURCE=2  '
> 
> ./configure -C --prefix=/usr/local/stow/emacs-snapshot --with-file-notification=inotify --with-cairo --without-toolkit-scroll-bars --with-x-toolkit=gtk3 --with-sound=yes --without-gconf --with-mailutils --with-x=yes --enable-checking=yes --enable-check-lisp-object-type=yes --with-nativecomp
> 
> 
> For me this assertion error is not a big problem since I now
> exclude the linux src tree from the tags creation because of
> emacs performance reasons.

Thanks you for that addition.

Indeed, when I configure Emacs with

   CFLAGS='-g -O2' --enable-checking

etags does abort with assertion errors you described.